Page MenuHomePhabricator

Electron-PDF doesn't render subpages with default configuration
Closed, ResolvedPublic

Description

When I attempt to Export to PDF for a subpage, it always fails. Other pages render correctly.

I believe this is caused by the forward slash.

I'm using Electron-PDF, Restbase and MW 1.31-rc0.

See for instance the attached. The page is Transformer_Protection_Standard_Design/Review_Comments. The attached is the file downloaded:

Any suggestions or hints (could this be a configuration issue?).

  • I'm using Restbase 0.16.9 (no instructions for later releases)
  • I'm using REL1_31 branch from Git for MW core and the extension.
  • This is a private wiki

Happy to provide further information.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2018, 11:58 PM
Vvjjkkii renamed this task from Electron-PDF doesn't render subpages with default configuration to h6baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from h6baaaaaaa to Electron-PDF doesn't render subpages with default configuration.Jul 2 2018, 3:36 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
TheDJ closed this task as Resolved.Jun 4 2019, 12:15 PM
TheDJ claimed this task.